IO::ByteFormat::BigEndian -

# module IO::ByteFormat::BigEndian

## Extended Modules

- IO::ByteFormat

## Defined in:

## Class Method Summary

- .decode(type : Int8.class, io : IO)
- .decode(type : Int8.class, bytes : Bytes)
- .decode(type : UInt8.class, io : IO)
- .decode(type : UInt8.class, bytes : Bytes)
- .decode(type : Int16.class, io : IO)
- .decode(type : Int16.class, bytes : Bytes)
- .decode(type : UInt16.class, io : IO)
- .decode(type : UInt16.class, bytes : Bytes)
- .decode(type : Int32.class, io : IO)
- .decode(type : Int32.class, bytes : Bytes)
- .decode(type : UInt32.class, io : IO)
- .decode(type : UInt32.class, bytes : Bytes)
- .decode(type : Int64.class, io : IO)
- .decode(type : Int64.class, bytes : Bytes)
- .decode(type : UInt64.class, io : IO)
- .decode(type : UInt64.class, bytes : Bytes)
- .decode(type : Int128.class, io : IO)
- .decode(type : Int128.class, bytes : Bytes)
- .decode(type : UInt128.class, io : IO)
- .decode(type : UInt128.class, bytes : Bytes)
- .encode(int : UInt128, bytes : Bytes)
- .encode(int : Int8, bytes : Bytes)
- .encode(int : UInt8, io : IO)
- .encode(int : UInt8, bytes : Bytes)
- .encode(int : Int16, io : IO)
- .encode(int : Int16, bytes : Bytes)
- .encode(int : UInt16, io : IO)
- .encode(int : UInt16, bytes : Bytes)
- .encode(int : Int32, io : IO)
- .encode(int : Int32, bytes : Bytes)
- .encode(int : UInt32, io : IO)
- .encode(int : UInt32, bytes : Bytes)
- .encode(int : Int64, io : IO)
- .encode(int : Int64, bytes : Bytes)
- .encode(int : UInt64, io : IO)
- .encode(int : UInt64, bytes : Bytes)
- .encode(int : Int128, io : IO)
- .encode(int : Int128, bytes : Bytes)
- .encode(int : UInt128, io : IO)
- .encode(int : Int8, io : IO)

## Class Method Detail

def self.decode(type : Int8.class, io : IO) #
def self.decode(type : Int8.class, bytes : Bytes) #
def self.decode(type : UInt8.class, io : IO) #
def self.decode(type : UInt8.class, bytes : Bytes) #
def self.decode(type : Int16.class, io : IO) #
def self.decode(type : Int16.class, bytes : Bytes) #
def self.decode(type : UInt16.class, io : IO) #
def self.decode(type : UInt16.class, bytes : Bytes) #
def self.decode(type : Int32.class, io : IO) #
def self.decode(type : Int32.class, bytes : Bytes) #
def self.decode(type : UInt32.class, io : IO) #
def self.decode(type : UInt32.class, bytes : Bytes) #
def self.decode(type : Int64.class, io : IO) #
def self.decode(type : Int64.class, bytes : Bytes) #
def self.decode(type : UInt64.class, io : IO) #
def self.decode(type : UInt64.class, bytes : Bytes) #
def self.decode(type : Int128.class, io : IO) #
def self.decode(type : Int128.class, bytes : Bytes) #
def self.decode(type : UInt128.class, io : IO) #
def self.decode(type : UInt128.class, bytes : Bytes) #
def self.encode(int : UInt128, bytes : Bytes) #
def self.encode(int : Int8, bytes : Bytes) #
def self.encode(int : UInt8, io : IO) #
def self.encode(int : UInt8, bytes : Bytes) #
def self.encode(int : Int16, io : IO) #
def self.encode(int : Int16, bytes : Bytes) #
def self.encode(int : UInt16, io : IO) #
def self.encode(int : UInt16, bytes : Bytes) #
def self.encode(int : Int32, io : IO) #
def self.encode(int : Int32, bytes : Bytes) #
def self.encode(int : UInt32, io : IO) #
def self.encode(int : UInt32, bytes : Bytes) #
def self.encode(int : Int64, io : IO) #
def self.encode(int : Int64, bytes : Bytes) #
def self.encode(int : UInt64, io : IO) #
def self.encode(int : UInt64, bytes : Bytes) #
def self.encode(int : Int128, io : IO) #
def self.encode(int : Int128, bytes : Bytes) #
def self.encode(int : UInt128, io : IO) #
def self.encode(int : Int8, io : IO) #